oracle.pg.common

## Class RDFGraph2PropertyGraphStream

- java.lang.Object
- - oracle.pg.common.RDFGraph2PropertyGraphStream

- All Implemented Interfaces:
    org.apache.jena.riot.system.StreamRDF

      public class RDFGraph2PropertyGraphStream
      extends Object
      implements org.apache.jena.riot.system.StreamRDF

  An Oracle StreamRDF implementation to read and parse triple/quads from an RDF file into a Property Graph.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assignKeyValueToEdge(Edge edgeP, Map<String,List<Object>> keyValueMapping)`
    `void` | `base(String arg0)`
    `void` | `finish()`
    `void` | `parseQuadToPG(com.hp.hpl.jena.sparql.core.Quad quad)`
    `void` | `prefix(String arg0, String arg1)`
    `void` | `quad(com.hp.hpl.jena.sparql.core.Quad quad)`
    `void` | `start()`
    `void` | `triple(com.hp.hpl.jena.graph.Triple triple)`
    `void` | `tuple(org.apache.jena.atlas.lib.Tuple<com.hp.hpl.jena.graph.Node> arg0)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### assignKeyValueToEdge

          public static void assignKeyValueToEdge(Edge edgeP,
                                  Map<String,List<Object>> keyValueMapping)

    - #### base

          public void base(String arg0)

      Specified by:
        `base` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### finish

          public void finish()

      Specified by:
        `finish` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### parseQuadToPG

          public void parseQuadToPG(com.hp.hpl.jena.sparql.core.Quad quad)

    - #### prefix

          public void prefix(String arg0,
                    String arg1)

      Specified by:
        `prefix` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### quad

          public void quad(com.hp.hpl.jena.sparql.core.Quad quad)

      Specified by:
        `quad` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### start

          public void start()

      Specified by:
        `start` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### triple

          public void triple(com.hp.hpl.jena.graph.Triple triple)

      Specified by:
        `triple` in interface `org.apache.jena.riot.system.StreamRDF`

    - #### tuple

          public void tuple(org.apache.jena.atlas.lib.Tuple<com.hp.hpl.jena.graph.Node> arg0)

      Specified by:
        `tuple` in interface `org.apache.jena.riot.system.StreamRDF`

Copyright © 2015 Oracle and/or its affiliates. All Rights Reserved.